skb_orphan
Prev | Socket Buffer Functions | Next

## Name

skb_orphan — orphan a buffer

## Synopsis

`void skb_orphan (` | struct sk_buff * | skb`)`;

## Arguments

`skb`

  buffer to orphan

## Description

If a buffer currently has an owner then we call the owner's destructor function and make the `skb` unowned. The buffer continues to exist but is no longer charged to its former owner.

Prev | Up | Next
pskb_trim_unique | Home | __dev_alloc_skb